#pragma once

#include <memory>

namespace sf {
	class Drawable;
	class RenderTarget;
	struct RenderStates;
}

namespace cig
{
	class RenderCall
	{
		std::shared_ptr<sf::Drawable> drawable;
		sf::RenderStates states;

	public:
		explicit RenderCall(const sf::RenderStates& rstates, sf::Drawable* ptr);

		void draw(sf::RenderTarget& target, const sf::RenderStates& rstates) const;
	};
}
