﻿#include <cigui/core/RenderCall.hpp>
#include <sfml/Graphics.hpp>
#include <memory>
#include <stdexcept>

namespace cig {
	RenderCall::RenderCall(const sf::RenderStates& rstates, sf::Drawable* ptr) : drawable(ptr), states(rstates) {
		if (!drawable) { throw std::runtime_error("RenderCall::RenderCall(): Drawable is null"); }
	}

	void RenderCall::draw(sf::RenderTarget& target, const sf::RenderStates& rstates) const {
		target.draw(*drawable, rstates);
	}
}