﻿#pragma once

#include <memory>

namespace sf {
	class RenderTarget;
	class RenderStates;
}

namespace cig {
	class View;
	class RenderCall;

	class Renderer {
	public:
		explicit Renderer(View *_view);

		std::unique_ptr<View> view;

		void update() const;

		void render(sf::RenderTarget &target, const sf::RenderStates &states) const;
	};
}
