#include <cigui/utils/Vectors.hpp>

#define VECTOR_TEMPLATE_INSTANTIATION(N, T) \
	template union Vector##N<T>;

#define VECTOR_TEMPLATE_IMPLEMENTATION(N) \
	VECTOR_TEMPLATE_INSTANTIATION(N, int) \
	VECTOR_TEMPLATE_INSTANTIATION(N, float) \
	VECTOR_TEMPLATE_INSTANTIATION(N, double)\
	VECTOR_TEMPLATE_INSTANTIATION(N, unsigned int) \
	VECTOR_TEMPLATE_INSTANTIATION(N, unsigned long) \
	VECTOR_TEMPLATE_INSTANTIATION(N, long) \
	VECTOR_TEMPLATE_INSTANTIATION(N, unsigned long long) \
	VECTOR_TEMPLATE_INSTANTIATION(N, long long) \
	VECTOR_TEMPLATE_INSTANTIATION(N, short) \
	VECTOR_TEMPLATE_INSTANTIATION(N, unsigned short) \
	VECTOR_TEMPLATE_INSTANTIATION(N, bool)

namespace cig {
	VECTOR_TEMPLATE_IMPLEMENTATION(2)
	VECTOR_TEMPLATE_IMPLEMENTATION(3)
	VECTOR_TEMPLATE_IMPLEMENTATION(4)
}